---
schema_version: "1"
id: 96b8b00f242b97e2e2a9b378ec49eab5303cd8f03e200b0e13f9ae4eecc9ce9d
title: Shop Price Adjustment Limits (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-shop-price-adjustment-limits.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-shop-price-adjustment-limits
source_site: developer.salesforce.com
content_type: documentation
content_hash: 07ba150dc9bc80154278ab94ada60290c58079ebb1eeda5f394662c41ca415d7
products:
  - B2C Commerce
  - Salesforce APIs
---
Shop Price Adjustment Limits (deprecated)

# Shop Price Adjustment Limits (deprecated)

The Shop API endpoints enable developers to build full shopper-experience applications such as storefronts. They are designed for high-scale usage, and include a number of areas such as Baskets & Orders, Customers, Products and Pricing. Shop API endpoints are typically read-only APIs, with the exception of baskets and orders.

**Version:** 25.6

## Servers

*   `https://{host}/s/{siteId}/dw/shop/v25_6`

Protocols: https.

## Security

*   `customers_auth` (basic) User authentication either for a registered or a guest customer (selectable in request body). Access via Base64 encoded customer:password string as 'Authorization: Basic' header.
*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get price adjustment limits

`GET /price_adjustment_limits`

Operation ID: `Get price adjustment limits`. Tags: price\_adjustment\_limits. Security: customers\_auth; oauth2\_application; client\_id.

Returns a list of price adjustment limits for the authenticated user and the site defined in the URL.

At least one of the following functional permissions must be assigned to the user to be able to access it: Adjust\_Item\_Price or Adjust\_Shipping\_Price or Adjust\_Order\_Price.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `price_adjustment_limits`.
    

## Schemas

### price\_adjustment\_limits

Document representing a list of PriceAdjustmentLimit items. It returns all the price adjustment limits for a particular user across various Access Roles.

*   `limits` (_array of price\_adjustment\_limit_) The list of price adjustment limits applicable for a user across all roles.

_Example_

```
{
  "limits": [
    {
      "percent": 20,
      "type": "item"
    },
    {
      "percent": 25,
      "type": "order"
    },
    {
      "amount": 60,
      "currency": "USD",
      "percent": 25,
      "type": "order"
    }
  ]
}
```

### price\_adjustment\_limit

Document representing a price adjustment limit.

A price adjustment limit specifies the amount of manual adjustment that can be applied by a user at the specified level.

*   `amount` (_number (double)_) The value for the currency or null if no currency value is specified.
*   `currency` (_string_)
    
    Returns the currency of the Price Adjustment Limit or null if not applicable.
    
    Will be null if this is a percent limit only.
    
    Price adjustment limits can be given up to a fixed amount (unit=a currency unit).
    
*   `percent` (_number (double)_)
    
    Returns percentage value of the Price Adjustment Limit or null if not applicable.
    
    Will be null if this is a currency limit only.
    
*   `type` (_string_) The Price Adjustment Limit type - ITEM, SHIPPING or ORDER. It identifies the level at which the Price Adjustment is applicable.  
    Allowed values: `item`, `shipping`, `order`.

_Example_

```
{
  "percent": 20,
  "type": "item"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.